Public Member Functions | Public Attributes | Friends | List of all members
MacDocParserInternal::Index Struct Reference

Internal: the index data of a MacDocParser. More...

## Public Member Functions
| Index ()
| constructor More...

## Public Attributes
MWAWEntry | m_entry
| the text entry More...
int | m_level
| the entry level More...
int | m_numChild
| the number of child More...
int | m_page
| the page More...
MWAWBox2i | m_box
| the bdbox More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Index const &index)
| operator<< More...

## Detailed Description

Internal: the index data of a MacDocParser.

## Constructor & Destructor Documentation

## ◆ Index()

MacDocParserInternal::Index::Index | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Index const & | index
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_box

MWAWBox2i MacDocParserInternal::Index::m_box

the bdbox

Referenced by MacDocParser::readIndex().

## ◆ m_entry

MWAWEntry MacDocParserInternal::Index::m_entry

the text entry

Referenced by MacDocParser::readIndex(), and MacDocParser::sendIndex().

## ◆ m_extra

std::string MacDocParserInternal::Index::m_extra

extra data

Referenced by MacDocParser::readIndex().

## ◆ m_level

int MacDocParserInternal::Index::m_level

the entry level

Referenced by MacDocParser::sendIndex(), and MacDocParser::updateIndex().

## ◆ m_numChild

int MacDocParserInternal::Index::m_numChild

the number of child

Referenced by MacDocParser::readIndex(), and MacDocParser::updateIndex().

## ◆ m_page

int MacDocParserInternal::Index::m_page

the page

Referenced by MacDocParser::readIndex(), and MacDocParser::sendIndex().

The documentation for this struct was generated from the following file:

- MacDocParser.cxx